#ifndef RELAXATION_FILTER_H
#define RELAXATION_FILTER_H


#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>

class RelaxationFilter : public vtkUnstructuredGridAlgorithm {
public:
	static RelaxationFilter *New();
	vtkTypeMacro(RelaxationFilter, vtkUnstructuredGridAlgorithm);
	RelaxationFilter();
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;
	vtkSetMacro(IterCount, int);
	vtkGetMacro(IterCount, int);

protected:
	~RelaxationFilter() override = default;
	int IterCount;
};


#endif
